package de.ozgcloud.user.recipient;

import static de.ozgcloud.user.User.*;

import java.util.List;

import jakarta.enterprise.context.ApplicationScoped;

import de.ozgcloud.common.logging.OzgCloudLogging;
import de.ozgcloud.user.User;
import de.ozgcloud.user.common.DocumentUtils;
import de.ozgcloud.user.settings.NotificationsSendFor;
import de.ozgcloud.user.settings.UserSettings;
import io.quarkus.mongodb.panache.PanacheMongoRepository;

@ApplicationScoped
@OzgCloudLogging
@Deprecated
class RecipientRepository implements PanacheMongoRepository<User> {

	private static final String SEARCH_RECIPIENT_QUERY = ORGANISATIONS_EINHEIT_IDS_FIELD + " = ?1 and "
			+ DocumentUtils.buildFieldPath(USER_SETTINGS_FIELD, UserSettings.NOTIFICATIONS_SEND_FOR_FIELD) + " = ?2";

	public List<User> findByOrganisationsEinheitId(String organisationseinheitId) {
		return find(SEARCH_RECIPIENT_QUERY, organisationseinheitId, NotificationsSendFor.ALL.name()).list();
	}
}